                                                                                                                                                                                                                      
<html>
<head>
<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
</head>
<script language="javascript">

function pon_prefijo(fecemiexo,fecvenexo,porimpexo) {

	

    parent.document.formulario.fecemiexo.value=fecemiexo;
	parent.document.formulario.fecvenexo.value=fecvenexo;
	parent.document.formulario.porimpexo.value=porimpexo;
	parent.document.getElementById('bloquea').style.display='none';

}


</script>

<body>
 <?php

			include('../conexion.php');
			
			
	echo $numdocexo=$_GET["numdocexo"];
	echo $cedula=$_GET["cedula"];

	
	
//Se debe defirnir la cedula a consultar 
//$CedulaPorConsultar  = "4000042143";

//Inicializar variables que va a retornar
$fechaEmision              = "";
$fechaVencimiento          = "";
$identificacion            = "";

//Actualizacion MH Estos parametros ahora son necesarias  
$arrContextOptions=array(
    "ssl"=>array(
         "verify_peer"=>false,
         "verify_peer_name"=>false,
    ),
); 




//Hacer la peticion al servidor de Hacienda

$jsonConsulta    = file_get_contents("https://api.hacienda.go.cr/fe/ex?autorizacion=".$numdocexo,false, stream_context_create($arrContextOptions));
//decodificar el Json de la petición 
$array = json_decode($jsonConsulta);

//Objetner las variables


$fechaEmision              = $array->fechaEmision; 
$fechaVencimiento          = $array->fechaVencimiento; 
$identificacion            = $array->identificacion; 
$porcentajeExoneracion     = $array->porcentajeExoneracion; 


 $fechaEmision     = substr($fechaEmision, 0, 10);
 $fechaVencimiento = substr($fechaVencimiento, 0, 10);
 
 
$fechaEmision= implode("-", array_reverse(explode("-", $fechaEmision))); 
$fechaVencimiento= implode("-", array_reverse(explode("-",  $fechaVencimiento))); 

 
 
 
 echo  " Emision :"                       .$fechaEmision ."</br>";
 echo  " Vencimiento :"                   .$fechaVencimiento  ."</br>";
 echo  " Identificacion :"                .$identificacion ."</br>";
 echo  " Porcentaje Exoneracion :"        .$porcentajeExoneracion ."</br>";



if (!empty($identificacion)) {



    if  ($identificacion <> $cedula ) {
	
	?>
		<script>
		alert ("Numero de CEDULA de la EXONERACION no coincide con la CEDULA del CLIENTE registrada ");
			
		    parent.document.formulario.fecemiexo.value="";
			parent.document.formulario.fecvenexo.value="";
			parent.document.getElementById('bloquea').style.display='none';
		</script>
			
		 <?php
		 
			} else { 

 //    echo "estoy aca" ;
	 
				?>
				<script>  pon_prefijo('<?php echo $fechaEmision ?>','<?php echo $fechaVencimiento ?>', '<?php echo $porcentajeExoneracion ?>');	</script>
				
				
				
				
				<?php
//Número de exoneracion por consultar
//$mExoneracion = "AL-00016215-21";

//Inicializar variables
$mNumeroDocumento        = "";
$mIdentificacion         = "";
$mCodigoProyectoCFIA     = "";
$mFechaEmision           = ""; 
$mFechaVencimiento       = "";
$mPorcentajeExoneracion  = "";
$mTipoDocumento          = "";
$mDocCodigo              = "";
$mDocdescripcion         = "";
$mNombreInstitucion      = "";
$mPoseeCabys             = "";
$mObjcCabys              = "";

//Tipo de conexión
$arrContextOptions=array(
    "ssl"=>array(
         "verify_peer"=>false,
         "verify_peer_name"=>false,
    ),
); 

//Hacer la peticion al servidor de Hacienda
$jsonConsulta    = file_get_contents("https://api.hacienda.go.cr/fe/ex?autorizacion=".$numdocexo, false, stream_context_create($arrContextOptions));
//decodificar el Json de la petición 
$array = json_decode($jsonConsulta);

//Objetner las variables
$mNumeroDocumento        = $array->numeroDocumento;
$mIdentificacion         = $array->identificacion;
$mCodigoProyectoCFIA     = $array->codigoProyectoCFIA;
$mFechaEmision           = $array->fechaEmision;
$mFechaVencimiento       = $array->fechaVencimiento;
$mPorcentajeExoneracion  = $array->porcentajeExoneracion;
$mTipoDocumento          = $array->tipoDocumento;
$mDocCodigo              = $mTipoDocumento->codigo;
$mDocdescripcion         = $mTipoDocumento->descripcion;
$mNombreInstitucion      = $array->nombreInstitucion;
$mPoseeCabys             = $array->poseeCabys;
$mObjcCabys              = $array->cabys;

$mFechaEmision       =  substr($mFechaEmision,0,10);
$mFechaVencimiento  =  substr($mFechaVencimiento,0,10);

echo '<b> NumeroDocumento:  </b>'.$mNumeroDocumento.'<br>';
echo '<b> Identificacion:  </b>'.$mIdentificacion.'<br>';
echo '<b> CodigoProyectoCFIA:  </b>'.$mCodigoProyectoCFIA.'<br>';
echo '<b> FechaEmision:  </b>'.$mFechaEmision.'<br>';
echo '<b> FechaVencimiento:  </b>'.$mFechaVencimiento.'<br>';
echo '<b> PorcentajeExoneracion:  </b>'.$mPorcentajeExoneracion.'<br>';
echo '<b> DocCodigo:  </b>'.$mDocCodigo.'<br>';
echo '<b> Docdescripcion:  </b>'.$mDocdescripcion.'<br>';
echo '<b> NombreInstitucion </b>'.$mNombreInstitucion.'<br>';
echo '<b> Posee Cabys: </b>'.$mPoseeCabys.'<br>';

 
 $StrCodigosCabys  ="";

			 $query = "delete from cabys_exoneracion where cedcli = '$mIdentificacion' "; 
		     $mysqli->query($query);
			 

 
foreach ($mObjcCabys as $cabys) 
	{
		$StrCodigosCabys .= "<tr>
							<td>".$cabys."</td>
						 </tr>";
	
	
	
		$query_operacion="INSERT INTO cabys_exoneracion (numautexo, cedcli, fecemiexo, fecvenexo,  cdghac ) VALUES ('$mNumeroDocumento', '$mIdentificacion', '$mFechaEmision', '$mFechaVencimiento' ,'$cabys' )";					
	$mysqli->query($query_operacion);
	
	
	
	}



echo "<table id='tbCabys' border='1'>
		<thead>
		<tr>
			<td> Codigo Cabys </td>
		</tr>
	</thead>
	<tbody>
		".$StrCodigosCabys."	
	<tbody>
</table>";

				
				
				
				
	}
			
				 
	} else {
	
		?>
		<script>
		alert ("Numero de EXONERACION no se encuentra registrado en el MINISTERIO DE HACIENDA");
		
		    parent.document.formulario.fecemiexo.value="";
			parent.document.formulario.fecvenexo.value="";
			//parent.document.formulario.fecvenexo.value="";
			parent.document.getElementById('bloquea').style.display='none';
		</script>
		
			
		 <?php
		 

	}
	
	
	
	




